import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import PropTypes from 'prop-types';
import { TransitionGroup as AnimationTransitionGroup, CSSTransition as Transition } from 'react-transition-group';
import { CONFIG, TYPES } from './animations-config';

var CssTransition = function CssTransition(_ref) {
  var children = _ref.children,
      type = _ref.type,
      duration = _ref.duration,
      attrs = _objectWithoutPropertiesLoose(_ref, ["children", "type", "duration"]);

  var _CONFIG$type = CONFIG[type],
      className = _CONFIG$type.className,
      _CONFIG$type$timeout = _CONFIG$type.timeout,
      timeout = _CONFIG$type$timeout === void 0 ? duration : _CONFIG$type$timeout;
  var classNames = {
    appear: className + "-appear",
    appearActive: className + "-appearActive",
    appearDone: className + "-appearDone",
    enter: className + "-enter",
    enterActive: className + "-enterActive",
    enterDone: className + "-enterDone",
    exit: className + "-exit",
    exitActive: className + "-exitActive",
    exitDone: className + "-exitDone"
  };
  return React.createElement(Transition, Object.assign({
    classNames: classNames,
    timeout: timeout
  }, attrs), children);
};

CssTransition.displayName = 'CssTransition';
export { TYPES, AnimationTransitionGroup };
export default CssTransition;